/* LegendFrame */
/* This class creates a new frame that contains a Legend panel */

package ciips.animation;

import java.awt.*;

public class LegendFrame extends Frame {
	private Dimension pref_size = new Dimension (230,300);
	private DrawingPanel dp; 

	public LegendFrame() {
		setLayout(new BorderLayout());
		dp = new DrawingPanel (pref_size.width, pref_size.height);
		dp.addDrawingObj( new Legend(5, 5, pref_size));
		add("Center", dp);
		setTitle("Legends");
        	pack();
        	validate();
        	show();
     	}
	
	public boolean handleEvent(Event event) {
		if (event.id == Event.WINDOW_DESTROY) {
			dispose();
        	}
		return super.handleEvent(event);
	}

}
