/* InputCompleteListener.java */

package ciips.animation;

import java.awt.*;
import java.lang.*;

/**
 * An InputCompleteListener expects to be sent an InputEvent containing
 * a String and a reference to the source of the input
 */
public interface InputCompleteListener {

	/** Method which will be notified when an InputDialog completes
	**/  
  public void inputComplete( InputDialogEvent e );
	}
