/* InputDialogEvent.java */

package ciips.animation;

import java.awt.*;
import java.lang.*;

/**
 * An InputDialogEvent is despatched from an InputDialog - it contains the
 * string in the text field when the user hit "OK"
 */
public class InputDialogEvent {

	private Component source;
	private String text;

	/** Method which will be notified when an InputDialog completes
	**/  
  public InputDialogEvent( Component source, String t ) {
		this.source = source;
		text = t;
		}

	public String getText() { return text; }
	public Component getSource() { return source; }
	}
